Bug 1367737 - nmcli asks for ipv4 and ipv6 method even if these were specified
Summary: nmcli asks for ipv4 and ipv6 method even if these were specified
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-17 10:50 UTC by Vladimir Benes
Modified: 2016-11-03 19:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:28:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Vladimir Benes 2016-08-17 10:50:11 UTC
Description of problem:
[root@qe-dell-ovs5-vm-56 ~]# nmcli  connection add type bond ipv4.method manual ipv4.addresses 1.1.1.1/24 ipv6.method manual ipv6.addresses 1::2/128
Do you also want to set 'ipv4.method' to 'manual'? [yes]: 
Do you also want to set 'ipv6.method' to 'manual'? [yes]: 
Connection 'bond' (463acf4f-8b87-476c-9f79-e92203175674) successfully added.


Version-Release number of selected component (if applicable):
NetworkManager-1.4.0-0.5.beta1.el7.x86_64

Comment 1 Thomas Haller 2016-08-20 07:59:22 UTC
it anyway seems wrong to ask at all, given that no --ask is provided.

This seems like a major regression. Over to Lubormir :)

Comment 4 Vladimir Benes 2016-08-26 19:40:35 UTC
connection is created w/o any further questions

Comment 6 errata-xmlrpc 2016-11-03 19:28:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.